package vc.thinker.mqtt.proxyclient.actor.up;

import akka.actor.AbstractActor;
import akka.japi.pf.ReceiveBuilder;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.config.ConfigurableBeanFactory;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;
import vc.thinker.mqtt.proxyclient.ThirdPartyProxyClientProtocol;
import vc.thinker.mqtt.proxyclient.entity.up.MeterListPull;
import vc.thinker.mqtt.proxyclient.enums.ThirdPartyProxyTopicDefinition;

import javax.annotation.Resource;

/**
 * 拉取仪表列表
 *
 * @author HeTongHao
 * @since 2022/8/19 15:43
 */
@Slf4j
@Component
@Scope(ConfigurableBeanFactory.SCOPE_PROTOTYPE)
public class MeterListPullActor extends AbstractActor {
    @Resource
    private ThirdPartyProxyClientProtocol thirdPartyProxyClientProtocol;

    public MeterListPullActor() {
        receive(ReceiveBuilder.match(MeterListPull.class, meterListPull ->
                thirdPartyProxyClientProtocol.sendMessage(ThirdPartyProxyTopicDefinition.meterListPull
                        , meterListPull.getProtocolCode()
                        , meterListPull.getRequestId().getBytes())
        ).build());
    }
}
